Name:           reptyr
Version:        0.10.0
Release:        %mkrel 2
Summary:        Attach a running process to a new terminal
Group:          System/Base
License:        MIT
URL:            https://github.com/nelhage/reptyr
Source0:        https://github.com/nelhage/reptyr/archive/%{name}-%{version}.tar.gz

ExclusiveArch:  %{ix86} x86_64 %{arm} aarch64

BuildRequires:  bash-completion

%description
reptyr is a utility for taking an existing running program and
attaching it to a new terminal.  Started a long-running process over
ssh, but have to leave and don't want to interrupt it?  Just start a
screen, use reptyr to grab it, and then kill the ssh session and head
on home.


%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build
%set_build_flags
%make_build

%install
%make_install PREFIX="%{_prefix}"

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc ChangeLog NOTES README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.10.0-2.mga10
+ Revision: 2218708
- Mageia 10 Mass Rebuild

* Wed Sep 20 2023 daviddavid <daviddavid> 0.10.0-1.mga10
+ Revision: 1988476
- new version: 0.10.0
- enable now aarch64 build

* Wed Dec 14 2022 daviddavid <daviddavid> 0.9.0-1.mga9
+ Revision: 1921935
- new version: 0.9.0

* Tue Mar 15 2022 umeabot <umeabot> 0.8.0-2.mga9
+ Revision: 1793429
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 daviddavid <daviddavid> 0.8.0-1.mga9
+ Revision: 1696943
- new version: 0.8.0

* Sat Feb 15 2020 umeabot <umeabot> 0.7.0-2.mga8
+ Revision: 1525360
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Apr 14 2019 daviddavid <daviddavid> 0.7.0-1.mga7
+ Revision: 1389879
- new version: 0.7.0

* Mon Oct 01 2018 daviddavid <daviddavid> 0.6.2-3.mga7
+ Revision: 1314087
- add upstream patch to fix build with new glibc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Oct 11 2017 cjw <cjw> 0.6.2-2.mga7
+ Revision: 1170971
- patch0: upstream commit that fixes build with gcc 7

* Fri Feb 10 2017 daviddavid <daviddavid> 0.6.2-1.mga6
+ Revision: 1085487
- new version: 0.6.2

* Thu Jan 28 2016 umeabot <umeabot> 0.4-4.mga6
+ Revision: 928495
- Mageia 6 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4-3.mga5
+ Revision: 521879
- Mageia 4 Mass Rebuild

* Wed Jan 30 2013 kamil <kamil> 0.4-2.mga3
+ Revision: 393245
- adapt for Mageia
- imported package reptyr


* Sun Aug 26 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.4-1
- Update to 0.4.
- Link with $RPM_LD_FLAGS.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat May 28 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.3-1
- Update to 0.3.

* Fri Mar 11 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.2-2.20110311git919fff7
- Update to git revision 919fff7, fixes crash with invalid arguments.

* Sat Mar  5 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.2-1
- First build.
